.form-survey {
    margin: unset;

    .form-all {
        margin: unset;
        max-width: unset;

        .form-header {
            text-align: center;

            .form-line {
                label {
                    &.form-label {
                        font-size: 24px;
                    }
                }

                .selections {
                    @media only screen and (max-width: 414px) and (min-width: 320px) {
                        margin-top: 1rem !important;
                    }
                }
            }
        }
    }
}

.form-label-top {
    margin-bottom: 3.2rem;

    @media only screen and (max-width: 414px) and (min-width: 320px) {
        margin-bottom: unset;
    }
}

/* The container */
.container-radio {
    position: relative;
    padding-left: unset;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 16px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin-right: 12rem;

    @media only screen and (max-width: 414px) and (min-width: 320px) {
        display: block;
        padding-left: 2rem;
        margin-right: unset;

        &.opt-3 {
            margin-left: unset !important;
        }
    }

    &.opt-3 {
        margin-left: 1rem;
    }
}

/* Hide the browser's default radio button */
.container-radio input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

/* Create a custom radio button */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
    border-radius: 50%;

    @media only screen and (max-width: 414px) and (min-width: 320px) {
        &.opt {
            top: 0 !important;
            left: 0 !important;
            height: 25px !important;
            width: 25px !important;
        }

        &.opt-1 {
            top: 0 !important;
            left: 0 !important;
            height: 25px !important;
            width: 25px !important;
        }

        &.opt-2 {
            top: 0 !important;
            left: 0 !important;
            height: 25px !important;
            width: 25px !important;
        }

        &.opt-3 {
            top: 0 !important;
            left: 0 !important;
            height: 25px !important;
            width: 25px !important;
        }

        &.opt-4 {
            top: 0 !important;
            left: 0 !important;
            height: 25px !important;
            width: 25px !important;
        }
    }

    &.opt {
        top: -3rem;
        width: 3rem;
        height: 3rem;
        left: -8px;
    }

    &.opt-1 {
        top: -3.9rem;
        left: 3rem;
        width: 4rem;
        height: 4rem;
    }

    &.opt-2 {
        top: -3rem;
        left: 1.2rem;
        width: 3rem;
        height: 3rem;
    }

    &.opt-3 {
        top: -2rem;
        left: 11px;
        width: 2rem;
        height: 2rem;
    }

    &.opt-4 {
        top: -4rem;
        left: 1rem;
        width: 4rem;
        height: 4rem;
    }

}


/* On mouse-over, add a grey background color */
.container-radio:hover input~.checkmark {
    background-color: #ccc;
}

/* When the radio button is checked, add a blue background */
.container-radio input:checked~.checkmark {
    background-color: #2196F3;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the indicator (dot/circle) when checked */
.container-radio input:checked~.checkmark:after {
    display: block;
}